Index: /code/branches/cpp11_v2/src/libraries/core/BaseObject.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/BaseObject.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/BaseObject.cc	(revision 10821)
@@ -234,8 +234,8 @@
     {
         unsigned int i = 0;
-        for (std::set<Template*>::const_iterator it = this->templates_.begin(); it != this->templates_.end(); ++it)
+        for (const auto & elem : this->templates_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
             i++;
         }
@@ -269,11 +269,11 @@
     {
         unsigned int i = 0;
-        for (std::map<BaseObject*, std::string>::const_iterator it = this->eventSources_.begin(); it != this->eventSources_.end(); ++it)
-        {
-            if (it->second != state)
+        for (const auto & elem : this->eventSources_)
+        {
+            if (elem.second != state)
                 continue;
 
             if (i == index)
-                return it->first;
+                return elem.first;
             ++i;
         }
@@ -296,8 +296,8 @@
     {
         unsigned int i = 0;
-        for (std::set<BaseObject*>::const_iterator it = this->eventListenersXML_.begin(); it != this->eventListenersXML_.end(); ++it)
+        for (const auto & elem : this->eventListenersXML_)
         {
             if (i == index)
-                return *it;
+                return elem;
             ++i;
         }
@@ -358,8 +358,8 @@
         Event event(activate, originator, name);
 
-        for (std::set<BaseObject*>::iterator it = this->eventListeners_.begin(); it != this->eventListeners_.end(); ++it)
-        {
-            event.statename_ = (*it)->eventSources_[this];
-            (*it)->processEvent(event);
+        for (const auto & elem : this->eventListeners_)
+        {
+            event.statename_ = (elem)->eventSources_[this];
+            (elem)->processEvent(event);
         }
     }
@@ -370,6 +370,6 @@
     void BaseObject::fireEvent(Event& event)
     {
-        for (std::set<BaseObject*>::iterator it = this->eventListeners_.begin(); it != this->eventListeners_.end(); ++it)
-            (*it)->processEvent(event);
+        for (const auto & elem : this->eventListeners_)
+            (elem)->processEvent(event);
     }
 
@@ -474,7 +474,7 @@
 
             // iterate through all states and get the event sources
-            for (std::list<std::string>::iterator it = eventnames.begin(); it != eventnames.end(); ++it)
+            for (auto & statename : eventnames)
             {
-                const std::string& statename = (*it);
+                
 
                 // if the event state is already known, continue with the next state
Index: /code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc	(revision 10821)
@@ -293,8 +293,8 @@
         {
             // No it's not: Search for classes inheriting from the given class and add the rules for them
-            for (std::set<const Identifier*>::const_iterator it = subclass->getDirectChildren().begin(); it != subclass->getDirectChildren().end(); ++it)
-                if ((*it)->isA(this->root_->getClass()))
-                    if (overwrite || (!this->nodeExists(*it))) // If we don't want to overwrite, only add nodes that don't already exist
-                        this->add(this->root_, *it, bInclude, overwrite);
+            for (const auto & elem : subclass->getDirectChildren())
+                if ((elem)->isA(this->root_->getClass()))
+                    if (overwrite || (!this->nodeExists(elem))) // If we don't want to overwrite, only add nodes that don't already exist
+                        this->add(this->root_, elem, bInclude, overwrite);
         }
 
@@ -325,10 +325,10 @@
         {
             // Search for an already existing node, containing the subclass we want to add
-            for (std::list<ClassTreeMaskNode*>::iterator it = node->subnodes_.begin(); it != node->subnodes_.end(); ++it)
+            for (auto & elem : node->subnodes_)
             {
-                if (subclass->isA((*it)->getClass()))
+                if (subclass->isA((elem)->getClass()))
                 {
                     // We've found an existing node -> delegate the work with a recursive function-call and return
-                    this->add(*it, subclass, bInclude, overwrite);
+                    this->add(elem, subclass, bInclude, overwrite);
                     return;
                 }
@@ -392,6 +392,6 @@
         if (!subclass)
             return;
-        for (std::set<const Identifier*>::const_iterator it = subclass->getDirectChildren().begin(); it != subclass->getDirectChildren().end(); ++it)
-            this->add(*it, this->isIncluded(*it), false, false);
+        for (const auto & elem : subclass->getDirectChildren())
+            this->add(elem, this->isIncluded(elem), false, false);
 
         this->add(subclass, bInclude, false, clean);
@@ -435,7 +435,7 @@
 
             // Go through the list of subnodes and look for a node containing the searched subclass and delegate the request by a recursive function-call.
-            for (std::list<ClassTreeMaskNode*>::iterator it = node->subnodes_.begin(); it != node->subnodes_.end(); ++it)
-                if (subclass->isA((*it)->getClass()))
-                    return isIncluded(*it, subclass);
+            for (auto & elem : node->subnodes_)
+                if (subclass->isA((elem)->getClass()))
+                    return isIncluded(elem, subclass);
 
             // There is no subnode containing our class -> the rule of the current node takes in effect
@@ -957,6 +957,6 @@
             // The bool is "false", meaning they have no subnodes and therefore need no further checks
             if (node->isIncluded())
-                for (std::set<const Identifier*>::iterator it = directChildren.begin(); it != directChildren.end(); ++it)
-                    this->subclasses_.insert(this->subclasses_.end(), std::pair<const Identifier*, bool>(*it, false));
+                for (const auto & elem : directChildren)
+                    this->subclasses_.insert(this->subclasses_.end(), std::pair<const Identifier*, bool>(elem, false));
         }
     }
Index: /code/branches/cpp11_v2/src/libraries/core/Core.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Core.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/Core.cc	(revision 10821)
@@ -279,7 +279,7 @@
 
         const std::vector<std::string>& modulePaths = ApplicationPaths::getInstance().getModulePaths();
-        for (std::vector<std::string>::const_iterator it = modulePaths.begin(); it != modulePaths.end(); ++it)
-        {
-            ModuleInstance* module = new ModuleInstance(*it);
+        for (const auto & modulePath : modulePaths)
+        {
+            ModuleInstance* module = new ModuleInstance(modulePath);
             this->loadModule(module);
             this->modules_.push_back(module);
@@ -309,7 +309,7 @@
     void Core::unloadModules()
     {
-        for (std::list<ModuleInstance*>::iterator it = this->modules_.begin(); it != this->modules_.end(); ++it)
-        {
-            ModuleInstance* module = (*it);
+        for (auto module : this->modules_)
+        {
+            
             this->unloadModule(module);
             delete module;
Index: /code/branches/cpp11_v2/src/libraries/core/CoreStaticInitializationHandler.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/CoreStaticInitializationHandler.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/CoreStaticInitializationHandler.cc	(revision 10821)
@@ -99,6 +99,6 @@
         std::set<Identifier*> identifiers;
         const std::set<StaticallyInitializedInstance*>& instances = module->getInstances(StaticInitialization::IDENTIFIER);
-        for (std::set<StaticallyInitializedInstance*>::const_iterator it = instances.begin(); it != instances.end(); ++it)
-            identifiers.insert(&static_cast<StaticallyInitializedIdentifier*>(*it)->getIdentifier());
+        for (const auto & instance : instances)
+            identifiers.insert(&static_cast<StaticallyInitializedIdentifier*>(instance)->getIdentifier());
 
         // destroy objects. some objects may survive this at first because they still have strong pointers pointing at them. this is
@@ -106,16 +106,16 @@
         // that objects within one module may reference each other by strong pointers. but it is not allowed that objects from another
         // module (which is not unloaded) uses strong pointers to point at objects inside the unloaded module. this will lead to a crash.
-        for (std::set<Identifier*>::iterator it = identifiers.begin(); it != identifiers.end(); ++it)
-            (*it)->destroyObjects();
+        for (const auto & identifier : identifiers)
+            (identifier)->destroyObjects();
 
         // check if all objects were really destroyed. this is not the case if an object is referenced by a strong pointer from another
         // module (or if two objects inside this module reference each other). this will lead to a crash and must be fixed (e.g. by
         // changing object dependencies; or by changing the logic that allows modules to be unloaded).
-        for (std::set<Identifier*>::iterator it = identifiers.begin(); it != identifiers.end(); ++it)
+        for (const auto & identifier : identifiers)
         {
-            ObjectListBase* objectList = Context::getRootContext()->getObjectList(*it);
+            ObjectListBase* objectList = Context::getRootContext()->getObjectList(identifier);
             if (objectList->size() > 0)
             {
-                orxout(internal_error) << "There are still " << objectList->size() << " objects of type " << (*it)->getName()
+                orxout(internal_error) << "There are still " << objectList->size() << " objects of type " << (identifier)->getName()
                     << " after unloading the Identifier. This may lead to a crash" << endl;
             }
@@ -123,12 +123,12 @@
 
         // destroy object-lists in all contexts
-        for (std::set<Identifier*>::iterator it_identifier = identifiers.begin(); it_identifier != identifiers.end(); ++it_identifier)
+        for (const auto & identifier : identifiers)
         {
             // only do this if the Identifier is not a Context itself; otherwise we delete the list we're iterating over
-            if (!(*it_identifier)->isExactlyA(Class(Context)))
+            if (!(identifier)->isExactlyA(Class(Context)))
             {
                 // iterate over all contexts
                 for (ObjectList<Context>::iterator it_context = ObjectList<Context>::begin(); it_context != ObjectList<Context>::end(); ++it_context)
-                    it_context->destroyObjectList((*it_identifier));
+                    it_context->destroyObjectList((identifier));
             }
         }
Index: /code/branches/cpp11_v2/src/libraries/core/Game.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Game.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/Game.cc	(revision 10821)
@@ -612,6 +612,6 @@
         // Check if graphics is still required
         bool graphicsRequired = false;
-        for (unsigned i = 0; i < loadedStates_.size(); ++i)
-            graphicsRequired |= loadedStates_[i]->getInfo().bGraphicsMode;
+        for (auto & elem : loadedStates_)
+            graphicsRequired |= elem->getInfo().bGraphicsMode;
         if (!graphicsRequired)
             this->unloadGraphics(!this->bAbort_); // if abort is false, that means the game is still running while unloading graphics. in this case we load a graphics manager without renderer (to keep all necessary ogre instances alive)
Index: /code/branches/cpp11_v2/src/libraries/core/Language.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Language.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/Language.cc	(revision 10821)
@@ -107,6 +107,6 @@
     Language::~Language()
     {
-        for (std::map<std::string, LanguageEntry*>::iterator it = this->languageEntries_.begin(); it != this->languageEntries_.end(); ++it)
-            delete (it->second);
+        for (auto & elem : this->languageEntries_)
+            delete (elem.second);
     }
 
@@ -319,7 +319,7 @@
 
         // Iterate through the list an write the lines into the file
-        for (std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.begin(); it != this->languageEntries_.end(); ++it)
-        {
-            file << it->second->getLabel() << '=' << it->second->getDefault() << endl;
+        for (const auto & elem : this->languageEntries_)
+        {
+            file << elem.second->getLabel() << '=' << elem.second->getDefault() << endl;
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/Loader.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Loader.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/Loader.cc	(revision 10821)
@@ -165,7 +165,7 @@
                         std::ostringstream message;
                         message << "Possible sources of error:" << endl;
-                        for (std::vector<std::pair<std::string, size_t>>::iterator it = linesources.begin(); it != linesources.end(); ++it)
+                        for (auto & linesource : linesources)
                         {
-                            message << it->first << ", Line " << it->second << endl;
+                            message << linesource.first << ", Line " << linesource.second << endl;
                         }
                         orxout(user_error, context::loader) << message.str() << endl;
@@ -261,7 +261,7 @@
         {
             bool expectedValue = true;
-            for (std::map<size_t, bool>::iterator it = luaTags.begin(); it != luaTags.end(); ++it)
-            {
-                if (it->second == expectedValue)
+            for (auto & luaTag : luaTags)
+            {
+                if (luaTag.second == expectedValue)
                     expectedValue = !expectedValue;
                 else
Index: /code/branches/cpp11_v2/src/libraries/core/LuaState.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/LuaState.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/LuaState.cc	(revision 10821)
@@ -326,7 +326,7 @@
     /*static*/ bool LuaState::addToluaInterface(int (*function)(lua_State*), const std::string& name)
     {
-        for (ToluaInterfaceMap::const_iterator it = getToluaInterfaces().begin(); it != getToluaInterfaces().end(); ++it)
-        {
-            if (it->first == name || it->second == function)
+        for (const auto & interface : getToluaInterfaces())
+        {
+            if (interface.first == name || interface.second == function)
             {
                 orxout(internal_warning, context::lua) << "Trying to add a Tolua interface with the same name or function." << endl;
@@ -337,6 +337,6 @@
 
         // Open interface in all LuaStates
-        for (std::vector<LuaState*>::const_iterator it = getInstances().begin(); it != getInstances().end(); ++it)
-            (*function)((*it)->luaState_);
+        for (const auto & state : getInstances())
+            (*function)(state->luaState_);
 
         // Return dummy bool
@@ -354,8 +354,8 @@
 
         // Close interface in all LuaStates
-        for (std::vector<LuaState*>::const_iterator itState = getInstances().begin(); itState != getInstances().end(); ++itState)
-        {
-            lua_pushnil((*itState)->luaState_);
-            lua_setglobal((*itState)->luaState_, it->first.c_str());
+        for (const auto & state : getInstances())
+        {
+            lua_pushnil(state->luaState_);
+            lua_setglobal(state->luaState_, it->first.c_str());
         }
 
@@ -369,14 +369,14 @@
     /*static*/ void LuaState::openToluaInterfaces(lua_State* state)
     {
-        for (ToluaInterfaceMap::const_iterator it = getToluaInterfaces().begin(); it != getToluaInterfaces().end(); ++it)
-            (*it->second)(state);
+        for (const auto & interface : getToluaInterfaces())
+            (interface.second)(state);
     }
 
     /*static*/ void LuaState::closeToluaInterfaces(lua_State* state)
     {
-        for (ToluaInterfaceMap::const_iterator it = getToluaInterfaces().begin(); it != getToluaInterfaces().end(); ++it)
+        for (const auto & interface : getToluaInterfaces())
         {
             lua_pushnil(state);
-            lua_setglobal(state, it->first.c_str());
+            lua_setglobal(state, interface.first.c_str());
         }
     }
Index: /code/branches/cpp11_v2/src/libraries/core/NamespaceNode.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/NamespaceNode.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/NamespaceNode.cc	(revision 10821)
@@ -103,9 +103,9 @@
                 bool bFoundMatchingNamespace = false;
 
-                for (std::map<std::string, NamespaceNode*>::iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
+                for (auto & elem : this->subnodes_)
                 {
-                    if (it->first.find(firstPart) == (it->first.size() - firstPart.size()))
+                    if (elem.first.find(firstPart) == (elem.first.size() - firstPart.size()))
                     {
-                        std::set<NamespaceNode*> temp2 = it->second->getNodeRelative(secondPart);
+                        std::set<NamespaceNode*> temp2 = elem.second->getNodeRelative(secondPart);
                         nodes.insert(temp2.begin(), temp2.end());
                         bFoundMatchingNamespace = true;
@@ -132,6 +132,6 @@
         else
         {
-            for (std::map<std::string, NamespaceNode*>::const_iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
-                if (it->second->includes(ns))
+            for (const auto & elem : this->subnodes_)
+                if (elem.second->includes(ns))
                     return true;
         }
@@ -167,6 +167,6 @@
         std::string output = (indentation + this->name_ + '\n');
 
-        for (std::map<std::string, NamespaceNode*>::const_iterator it = this->subnodes_.begin(); it != this->subnodes_.end(); ++it)
-            output += it->second->toString(indentation + "  ");
+        for (const auto & elem : this->subnodes_)
+            output += elem.second->toString(indentation + "  ");
 
         return output;
Index: /code/branches/cpp11_v2/src/libraries/core/Resource.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Resource.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/Resource.cc	(revision 10821)
@@ -58,7 +58,7 @@
         DataStreamListPtr resources(new Ogre::DataStreamList());
         const Ogre::StringVector& groups = Ogre::ResourceGroupManager::getSingleton().getResourceGroups();
-        for (Ogre::StringVector::const_iterator it = groups.begin(); it != groups.end(); ++it)
+        for (const auto & group : groups)
         {
-            DataStreamListPtr temp = Ogre::ResourceGroupManager::getSingleton().openResources(pattern, *it);
+            DataStreamListPtr temp = Ogre::ResourceGroupManager::getSingleton().openResources(pattern, group);
             resources->insert(resources->end(), temp->begin(), temp->end());
         }
@@ -121,7 +121,7 @@
         StringVectorPtr resourceNames(new Ogre::StringVector());
         const Ogre::StringVector& groups = Ogre::ResourceGroupManager::getSingleton().getResourceGroups();
-        for (Ogre::StringVector::const_iterator it = groups.begin(); it != groups.end(); ++it)
+        for (const auto & group : groups)
         {
-            StringVectorPtr temp = Ogre::ResourceGroupManager::getSingleton().findResourceNames(*it, pattern);
+            StringVectorPtr temp = Ogre::ResourceGroupManager::getSingleton().findResourceNames(group, pattern);
             resourceNames->insert(resourceNames->end(), temp->begin(), temp->end());
         }
Index: /code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc	(revision 10821)
@@ -87,15 +87,15 @@
         for (std::list<const Identifier*>::const_iterator it = this->directParents_.begin(); it != this->directParents_.end(); ++it)
             const_cast<Identifier*>(*it)->directChildren_.erase(this);
-        for (std::set<const Identifier*>::const_iterator it = this->children_.begin(); it != this->children_.end(); ++it)
-            const_cast<Identifier*>(*it)->parents_.remove(this);
-        for (std::set<const Identifier*>::const_iterator it = this->directChildren_.begin(); it != this->directChildren_.end(); ++it)
-            const_cast<Identifier*>(*it)->directParents_.remove(this);
-
-        for (std::map<std::string, ConfigValueContainer*>::iterator it = this->configValues_.begin(); it != this->configValues_.end(); ++it)
-            delete (it->second);
-        for (std::map<std::string, XMLPortParamContainer*>::iterator it = this->xmlportParamContainers_.begin(); it != this->xmlportParamContainers_.end(); ++it)
-            delete (it->second);
-        for (std::map<std::string, XMLPortObjectContainer*>::iterator it = this->xmlportObjectContainers_.begin(); it != this->xmlportObjectContainers_.end(); ++it)
-            delete (it->second);
+        for (const auto & elem : this->children_)
+            const_cast<Identifier*>(elem)->parents_.remove(this);
+        for (const auto & elem : this->directChildren_)
+            const_cast<Identifier*>(elem)->directParents_.remove(this);
+
+        for (auto & elem : this->configValues_)
+            delete (elem.second);
+        for (auto & elem : this->xmlportParamContainers_)
+            delete (elem.second);
+        for (auto & elem : this->xmlportObjectContainers_)
+            delete (elem.second);
     }
 
@@ -157,7 +157,7 @@
         if (this->directParents_.empty())
         {
-            for (std::list<const Identifier*>::const_iterator it = initializationTrace.begin(); it != initializationTrace.end(); ++it)
-                if (*it != this)
-                    this->parents_.push_back(*it);
+            for (const auto & elem : initializationTrace)
+                if (elem != this)
+                    this->parents_.push_back(elem);
         }
         else
@@ -261,20 +261,20 @@
 
         // if any parent class is virtual, it will be instantiated first, so we need to add them first.
-        for (std::list<const Identifier*>::const_iterator it_parent = this->parents_.begin(); it_parent != this->parents_.end(); ++it_parent)
-        {
-            if ((*it_parent)->isVirtualBase())
+        for (const auto & elem : this->parents_)
+        {
+            if ((elem)->isVirtualBase())
             {
-                for (std::list<const Identifier*>::const_iterator it_parent_parent = const_cast<Identifier*>(*it_parent)->parents_.begin(); it_parent_parent != const_cast<Identifier*>(*it_parent)->parents_.end(); ++it_parent_parent)
+                for (std::list<const Identifier*>::const_iterator it_parent_parent = const_cast<Identifier*>(elem)->parents_.begin(); it_parent_parent != const_cast<Identifier*>(elem)->parents_.end(); ++it_parent_parent)
                     this->addIfNotExists(expectedIdentifierTrace, *it_parent_parent);
-                this->addIfNotExists(expectedIdentifierTrace, *it_parent);
+                this->addIfNotExists(expectedIdentifierTrace, elem);
             }
         }
 
         // now all direct parents get created recursively. already added identifiers (e.g. virtual base classes) are not added again.
-        for (std::list<const Identifier*>::const_iterator it_parent = this->directParents_.begin(); it_parent != this->directParents_.end(); ++it_parent)
-        {
-            for (std::list<const Identifier*>::const_iterator it_parent_parent = const_cast<Identifier*>(*it_parent)->parents_.begin(); it_parent_parent != const_cast<Identifier*>(*it_parent)->parents_.end(); ++it_parent_parent)
+        for (const auto & elem : this->directParents_)
+        {
+            for (std::list<const Identifier*>::const_iterator it_parent_parent = const_cast<Identifier*>(elem)->parents_.begin(); it_parent_parent != const_cast<Identifier*>(elem)->parents_.end(); ++it_parent_parent)
                 this->addIfNotExists(expectedIdentifierTrace, *it_parent_parent);
-            this->addIfNotExists(expectedIdentifierTrace, *it_parent);
+            this->addIfNotExists(expectedIdentifierTrace, elem);
         }
 
@@ -285,6 +285,6 @@
 
             orxout(internal_warning) << "  Actual trace (after creating a sample instance):" << endl << "    ";
-            for (std::list<const Identifier*>::const_iterator it_parent = this->parents_.begin(); it_parent != this->parents_.end(); ++it_parent)
-                orxout(internal_warning) << " " << (*it_parent)->getName();
+            for (const auto & elem : this->parents_)
+                orxout(internal_warning) << " " << (elem)->getName();
             orxout(internal_warning) << endl;
 
@@ -295,6 +295,6 @@
 
             orxout(internal_warning) << "  Direct parents (according to class hierarchy definitions):" << endl << "    ";
-            for (std::list<const Identifier*>::const_iterator it_parent = this->directParents_.begin(); it_parent != this->directParents_.end(); ++it_parent)
-                orxout(internal_warning) << " " << (*it_parent)->getName();
+            for (const auto & elem : this->directParents_)
+                orxout(internal_warning) << " " << (elem)->getName();
             orxout(internal_warning) << endl;
         }
Index: /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10821)
@@ -462,6 +462,6 @@
 
         if (updateChildren)
-            for (std::set<const Identifier*>::const_iterator it = this->getChildren().begin(); it != this->getChildren().end(); ++it)
-                (*it)->updateConfigValues(false);
+            for (const auto & elem : this->getChildren())
+                (elem)->updateConfigValues(false);
     }
 
